Bug 9419 - The highlight feature can cause a browser freeze
Summary: The highlight feature can cause a browser freeze
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-17 15:51 UTC by Jonathan Druart
Modified: 2014-11-19 09:43 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9419: The highlight feature can cause a browser freeze (2.10 KB, patch)
2013-01-17 15:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9419: The highlight feature can cause a browser freeze (2.13 KB, patch)
2013-02-08 18:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9419: The highlight feature can cause a browser freeze (2.24 KB, patch)
2013-03-24 16:17 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2013-01-17 15:51:44 UTC
If the highlight feature is enabled and you search a string with a space, the browser (tested with Firefox) uses CPU at 100% during some seconds.
Comment 1 Jonathan Druart 2013-01-17 15:59:03 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2013-02-08 18:07:21 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2013-03-24 16:17:23 UTC
Created attachment 16832 [details] [review]
Bug 9419: The highlight feature can cause a browser freeze

Test plan:
- switch on the OpacHighlightedWords syspref
- search at the opac and intranet a string with a space (e.g.
  au,wrdl:"Shakespeare,  William" note the double space after the comma)
- without the patch your browser will be frozen during a few seconds,
  after applying it, the highlight works better.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2013-03-24 16:18:57 UTC
QA Comment:
Could not really detect any change while testing.
But the additional testing on the array will not hurt..

Passed QA
Comment 5 Jared Camins-Esakov 2013-03-30 12:03:27 UTC
This patch has been pushed to master.
Comment 6 Chris Cormack 2013-03-31 01:26:56 UTC
Pushed to 3.10.x and 3.8.x will be in 3.10.5 and 3.8.12